Subject: Fw: [Bug 107551] New: IPV4 Reassembling Problem

From: Stephen Hemminger <[email-masked]>
Date: Mon, 9 Nov 2015 10:40:01 -0800

Begin forwarded message:

Date: Mon, 9 Nov 2015 11:04:29 +0000
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [Bug 107551] New: IPV4 Reassembling Problem

https://bugzilla.kernel.org/show_bug.cgi?id=107551

            Bug ID: 107551
           Summary: IPV4 Reassembling Problem
           Product: Networking
           Version: 2.5
    Kernel Version: 4.2.3
          Hardware: Other
                OS: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: IPV4
          Assignee: [email-masked]
          Reporter: [email-masked]
        Regression: No

I have an ipv4 reassembling issue using the latest Kernel (4.2.3) in an nios2
environment.
I first noticed that issue when sending UDP-Pakets from an Host PC to my
device. Each packet has a payload of 4096 Byte.
Due to the MTU of 1500 Byte each packet will be split into three ip-packets.
Approximately 1 of 200 Packets were not correctly
reassembled by the Kernel, so they cannot be received within user-space. The
command nstat says, that there are reassembling errors
due to timeout, but at least in wireshark all packets are correctly displayed.
Sometime the kernel issues a icmp-messages, saying that there
was a timeout during ip reassembling.
I fir9st thought that it might be a performance problem, so I increased the
time between the packets to about one packet per 500 ms but without success.
Then I decided to reduce the payload to 1024 Byte, because it might be a buffer
(or TSE FIFO) problem. Now all packets are send into one ipv4 packet and there
is nothing lost on the receiver side, but when I reduced the MTU of the host
from 1500 to 800 byte (each datagram will be split into two packets now) the
problem accurse again!
So this might be a reassembling issue.

-- 
You are receiving this mail because:
You are the assignee for the bug.